/* This is the interface the modules need to implement */

/* Note that implementations of this interface must
 * Do error handling and ensure that any OS specific cleanup
 * gets done in the event of an error before they call exit.
 * The Linux implementation doesn't need to do this as Linux will
 * close the resources automatically. */

void vecserial_init();
void vecserial_cleanup();
unsigned char vecserial_read();
void vecserial_write(unsigned char *buf, int numbytes);
